# Uses of Enum Class
java.awt.Taskbar.Feature

Packages that use Taskbar.Feature
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Taskbar.Feature in java.awt

Subclasses with type arguments of type Taskbar.Feature in java.awt
Modifier and Type
Class
Description
`static enum`
`Taskbar.Feature`
List of provided features.
Methods in java.awt that return Taskbar.Feature
Modifier and Type
Method
Description
`static Taskbar.Feature`
Taskbar.Feature.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Taskbar.Feature[]`
Taskbar.Feature.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt with parameters of type Taskbar.Feature
Modifier and Type
Method
Description
`boolean`
Taskbar.`isSupported(Taskbar.Feature feature)`
Tests whether a `Feature` is supported on the current platform.